Contents

# DateAdd Function

Adds a date or time interval to a given date a number of times and returns the resulting date.

### Syntax:

    DateAdd (interval As String, number As Long, date As Date) As Date

### GIá trị trả về:

Một Biến thể chứa một ngày tháng.

### Parameters:

interval - A string expression from the following table, specifying the date or time interval.

interval (string value) | Giải thích
--- | ---
yyyy | Năm
q | Quý
m | Tháng
y | Ngày của năm
w | Hôm của tuần
ww | Tuần của năm
d | Ngày
h | Giờ
n | Phút
s | Giây

number - A numerical expression specifying how many times the interval value will be added when positive or subtracted when negative.

date - A given date or the name of a Variant variable containing a date. The interval value will be added number times to this date.

Date literals allow to specify unambiguous date variables that are independent from the current language. Literals are enclosed between hash signs #. Possible formats are:

- #yyyy-mm-dd#

- #mm/dd/yyyy#

### Example:

    Sub example_dateadd
        MsgBox DateAdd("m", 1, #1/31/2004#) &" - "& DateAdd(date:=#2005-01-31#, interval:="m", number:=1)
    End Sub